(function ($) {
    "use strict";
    var $wrap = $('#pakrco_options_priceaddons');
    $wrap.on('click', '.new-attributes', function (e) {
        e.preventDefault();

        var $oldRow = $wrap.find('.options_group').last();
        var $row = $oldRow.clone();
        $row.find('input').each(function () {
            $(this).attr('value', '');
        });

        $oldRow.after($row);
        $wrap.trigger('add_row');

    }).on('click', '.remove-attributes', function (e) {
        e.preventDefault();
        var $row = $(this).closest('.options_group');
        if ($wrap.find('.options_group').length > 1) {
            $row.remove();
        }
        $wrap.trigger('remove_row');
    }).on('remove_row', function () {
        reindex();
    }).on('add_row', function () {
        reindex();
    });

    function reindex() {
        $wrap.find('.options_group').each(function (index) {
            var $element = $(this);
            $element.find('input').each(function () {
                var name = $(this).attr('name');
                name = name.replace(/\[\d+\]/g, '[' + index + ']');
                $(this).attr('name', name);
            });
            $element.attr('data-iterator', index);
        });
    }

})(jQuery)
